# BatchTest

Scans a list of files given by the fileset attribute, extracts valid test cases

author | Michiel Rook mrook@php.net
version | $Id: 145656e8a4fc1c40acc2c41201f9b354ad16181a $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Create a new batchtest instance

    __construct(\Project $project)

### Arguments

#### $project

`\Project`

## Add a new fileset containing the XML results to aggregate

    addFileSet(\FileSet $fileset)

### Arguments

#### $fileset

`\FileSet`

## Creates a new Path object

    createClasspath()

## Returns an array of test cases and test suites that are declared by the files included by the filesets

    elements() : array

### Response

`array`

an array of tests.

## Filters an array of classes, removes all classes that are not test cases or test suites, or classes that are declared abstract

    filterTests( $input)

### Arguments

#### $input

``

## Returns the classpath

    getClasspath()

## Iterate over all filesets and return the filename of all files.

    getFilenames() : array

### Response

`array`

an array of filenames

## Checks wheter $input is a PHPUnit Test

    isTestCase( $input)

### Arguments

#### $input

``

## Sets the classpath

    setClasspath(\Path $classpath)

### Arguments

#### $classpath

`\Path`

## Sets the classes to exclude

    setExclude( $exclude)

### Arguments

#### $exclude

``

## Sets the name of the batchtest/suite

    setName( $name)

### Arguments

#### $name

``

### Properties

## the list of filesets containing the testcase filename rules

    filesets :

### Type(s)

``

## the reference to the project

    project :

### Type(s)

``

## the classpath to use with Phing::__import() calls

    classpath :

### Type(s)

``

## names of classes to exclude

    excludeClasses :

### Type(s)

``

## name of the batchtest/suite

    name :

### Type(s)

``